Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ca.beq.util.win32.registry
Class ValueType

    java.lang.Object
      |
      +--ca.beq.util.win32.registry.ValueType

public class ValueType
extends Object

Registry values (data) can be stored in various formats (types), represented by `ValueType`. `ValueType` exposes these types in a typesafe enum that applications may use to indicate or query the type of data stored in a `RegistryValue`

Version:
  1.0
Author:
  BEQ Technologies Inc.

Field Summary
`static ValueType` | `REG_BINARY` The `REG_BINARY` data type represents binary data in any form.
`static ValueType` | `REG_DWORD` The `REG_DWORD` data type represents a 32-bit number.
`static ValueType` | `REG_DWORD_BIG_ENDIAN` The `REG_DWORD_BIG_ENDIAN` data type represents a 32-bit number in little-endian format (this is equivalent to `REG_DWORD`).
`static ValueType` | `REG_DWORD_LITTLE_ENDIAN` The `REG_DWORD_LITTLE_ENDIAN` data type represents a 32-bit number in little-endian format.
`static ValueType` | `REG_EXPAND_SZ` The `REG_EXPAND_SZ` data type represents a null-terminated string that contains unexpanded references to environment variables (for example, "%PATH%").
`static ValueType` | `REG_MULTI_SZ` The `REG_MULTI_SZ` data type represents an array of null-terminated strings, terminated by two null characters.
`static ValueType` | `REG_NONE` The `REG_NONE` data type represents data with no defined type.
`static ValueType` | `REG_SZ` The `REG_SZ` data type represents a null-terminated string.

Method Summary
`protected int` | `getValue()` Returns the integer value (used by the native Windows registry functions) of the value type.
`String` | `toString()` Returns the display name of the value type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REG_NONE

    public static final ValueType REG_NONE

  The `REG_NONE` data type represents data with no defined type.

### REG_SZ

    public static final ValueType REG_SZ

  The `REG_SZ` data type represents a null-terminated string.

### REG_EXPAND_SZ

    public static final ValueType REG_EXPAND_SZ

  The `REG_EXPAND_SZ` data type represents a null-terminated string that contains unexpanded references to environment variables (for example, "%PATH%").

### REG_BINARY

    public static final ValueType REG_BINARY

  The `REG_BINARY` data type represents binary data in any form.

### REG_DWORD

    public static final ValueType REG_DWORD

  The `REG_DWORD` data type represents a 32-bit number.

### REG_DWORD_LITTLE_ENDIAN

    public static final ValueType REG_DWORD_LITTLE_ENDIAN

  The `REG_DWORD_LITTLE_ENDIAN` data type represents a 32-bit number in little-endian format.

  In little-endian format, a multi-byte value is stored in memory from the lowest byte (the "little end") to the highest byte. For example, the value 0x12345678 is stored as (0x78 0x56 0x34 0x12) in little-endian format.

### REG_DWORD_BIG_ENDIAN

    public static final ValueType REG_DWORD_BIG_ENDIAN

  The `REG_DWORD_BIG_ENDIAN` data type represents a 32-bit number in little-endian format (this is equivalent to `REG_DWORD`). In big-endian format, a multi-byte value is stored in memory from the highest byte (the "big end") to the lowest byte. For example, the value 0x12345678 is stored as (0x12 0x34 0x56 0x78) in big-endian format.

### REG_MULTI_SZ

    public static final ValueType REG_MULTI_SZ

  The `REG_MULTI_SZ` data type represents an array of null-terminated strings, terminated by two null characters.

Method Detail

### getValue

    protected int getValue()

  Returns the integer value (used by the native Windows registry functions) of the value type.
  Returns:
    the integer value of the value type.

### toString

    public String toString()

  Returns the display name of the value type.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the value type.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD